<template>
    <div
        v-if="pageReady"
        class="w-full"
    >
        <header-circle-container>
            <div
                class="flex justify-between items-center mt-2 mb-2"
            >
                <div class="w-12 cursor-pointer pl-4 text-white">
                    <font-awesome-icon
                        icon="fa-solid fa-arrow-left"
                        size="2x"
                        @click="$router.go(-1)"
                    />
                </div>
                <div
                    class="flex-1 flex justify-center"
                >
                    <a
                        href="javascript:"
                        class=""
                        @click="$router.push({name: 'user.home'})"
                    >
                        <img
                            :src="'/img/logo.png'"
                            class="mx-auto w-24"
                        />
                    </a>
                </div>
                <div class="w-12" />
            </div>
        </header-circle-container>
        <div
            class="flex flex-col space-y-4 px-4 my-4 w-full"
        >
            <div
                class="flex justify-start space-x-4"
            >
                <div
                    class="place-self-center items-center self-center w-12"
                >
                    <img
                        :src="plan.category_icon"
                        class="w-full"
                    />
                </div>
                <div class="flex-1 items-center self-center font-black text-lg">
                    {{ plan.plan_name }} ({{ plan.code }})
                </div>
            </div>
            <template
                v-if="investments && investments.length"
            >
                <div
                    v-for="investment in investments"
                    :key="investment.id"
                    class="rounded-lg bg-white shadow-lg p-3 shadow-gray-300"
                >
                    <div
                        class="flex justify-between leading-8"
                    >
                        <div>
                            {{ $t('contract_id') }}:
                        </div>
                        <div
                            class="font-black uppercase"
                        >
                            {{ investment.contract_id }}
                        </div>
                    </div>
                    <div
                        v-if="investment.start_lock_capital_from"
                        class="flex justify-between leading-8"
                    >
                        <div>
                            {{ $t('contract_starts') }}:
                        </div>
                        <div
                            class="font-black uppercase"
                        >
                            {{ $helper.dateTimeFormat(investment.contract_id) }}
                        </div>
                    </div>
                    <template
                        v-if="investment.status === 0"
                    >
                        <div
                            v-if="investment.lock_capital_from"
                            class="flex justify-between leading-8"
                        >
                            <div>
                                {{ $t('contract_starts') }}:
                            </div>
                            <div
                                class="font-black capitalize"
                            >
                                {{ $t('pending_fund_acceptance') }}
                            </div>
                        </div>
                        <div
                            v-if="investment.lock_capital_until"
                            class="flex justify-between leading-8"
                        >
                            <div>
                                {{ $t('contract_ends') }}:
                            </div>
                            <div
                                class="font-black uppercase"
                            >
                                -
                            </div>
                        </div>
                    </template>
                    <template
                        v-else
                    >
                        <div
                            v-if="investment.lock_capital_from"
                            class="flex justify-between leading-8"
                        >
                            <div>
                                {{ $t('contract_starts') }}:
                            </div>
                            <div
                                class="font-black uppercase"
                            >
                                {{ $helper.dateTimeFormat(investment.lock_capital_from) }}
                            </div>
                        </div>
                        <div
                            v-if="investment.lock_capital_until"
                            class="flex justify-between leading-8"
                        >
                            <div>
                                {{ $t('contract_ends') }}:
                            </div>
                            <div
                                class="font-black uppercase"
                            >
                                {{ $helper.dateTimeFormat(investment.lock_capital_until) }}
                            </div>
                        </div>
                    </template>

                    <div
                        class="flex justify-between leading-8"
                    >
                        <div>
                            {{ $t('buy_in_amount') }}:
                        </div>
                        <div
                            class="font-black uppercase"
                        >
                            $ {{ $helper.fundFormat(investment.total_invest) }}
                        </div>
                    </div>
                    <div
                        v-if="investment.plan_type === 'assured'"
                        class="flex justify-between leading-8"
                    >
                        <div>
                            {{ $t('unrealized_roi') }}:
                        </div>
                        <div
                            class="font-black uppercase"
                            :class="{
                            'text-green-500': investment.total_roi > 0 && investment.current_balance > 0 && ((investment.total_roi / investment.total_invest) * 100) > 0,
                            'text-red-500': investment.total_roi < 0
                        }"
                        >
                            $ {{ $helper.fundFormat(investment.total_roi) }} ({{ $helper.fundFormat((investment.total_roi / investment.total_invest) * 100)}}%)
                        </div>
                    </div>
                    <div
                        v-else-if="investment.plan_type === 'structured'"
                        class="flex justify-between leading-8"
                    >
                        <div>
                            {{ $t('total_realized_roi') }}:
                        </div>
                        <div
                            class="font-black uppercase"
                            :class="{
                            'text-green-500': investment.total_roi > 0 && ((investment.total_roi / investment.total_invest) * 100) > 0,
                            'text-red-500': investment.total_roi < 0
                        }"
                        >
                            $ {{ $helper.fundFormat(investment.total_roi) }} ({{ $helper.fundFormat((investment.total_roi / investment.total_invest) * 100)}}%)
                        </div>
                    </div>
                    <div
                        class="flex justify-center pt-4"
                    >
                        <a
                            href="javascript:"
                            class="cursor-pointer underline"
                            @click="$router.push({name: 'user.portfolio.fund.contract', params: { contract_id: investment.contract_id }})"
                        >
                            {{ $t('click_to_view') }}
                        </a>
                    </div>
                </div>
            </template>
            <template
                v-else
            >
                <div
                    class="px-3 py-4 text-center text-xs"
                >
                    {{ $t('you_have_no_current_active_funds') }}
                </div>
            </template>
        </div>
    </div>
</template>

<script setup>
import {ref, onMounted} from "vue";
import axios from "axios";
import {useRoute} from "vue-router";
import HeaderCircleContainer from "~/components/header-circle-container.vue";
import CustomCard from "!/admin/components/custom-card.vue";

const $route = useRoute();
const pageReady = ref(false);
const plan = ref({});
const investments = ref([]);

onMounted(async () => {
    try {
        const data = await axios.post('/portfolio/fund/' + $route.params.code);

        if (data.plan) plan.value = data.plan;
        if (data.investments) investments.value = data.investments;

        pageReady.value = true;
    } catch (e) {
        console.log(e);
    }
});
</script>
